Tratando de importar Json, mi comando es pip install json.
Estoy trabajando en windows 8.1

El error que me estoy poniendo en la línea de comandos es

Could not find a version that satisfies the requirements json <from versions:>

No matching distribution found for json.

y el error que me estoy poniendo en pycharm es

NameError: name 'json' is not defined

He intentado importar numpy y trabajó muy bien .
También hice el check Pip «no se Pudo encontrar una que satisfaga el requisito de»
y No se pudo encontrar una versión que satisfaga el requisito de <paquete>

Edit : se Refiere también a este enlace Python 3.5.1 : NameError: name ‘json’ no está definido y recibiendo un error que sudo no es reconocido

  • Por qué estás tratando de instalar? Es parte de la biblioteca estándar, no es necesario instalarlo.
  • Lo que la sentencia de importación estás usando? Debe ser de importación «json»
  • «Tratando de importar Json, mi comando pip install json» => la importación y la instalación no son la misma cosa.
  • por favor revise este enlace stackoverflow.com/questions/41001973/…
  • Uso : pip install simplejson
  • No trabajo de sam
  • Como dijo Daniel, usted no necesita instalar el json módulo es un módulo estándar. Si un simple import json no funciona, entonces hay algo seriamente mal con su instalación de Python.

InformationsquelleAutor Jimmy | 2017-11-21

2 Comentarios

  1. 6

    Si no es definido en el código, necesita importar. Este es exactamente el mismo que cualquier nombre en Python; no se puede usar algo, hasta que se han definido.

    import json
    • Eso es muy torpe, he puesto la importación de json en un try-catch por error.
  2. 0

    Utilice el comando como simplejson en lugar de json como el de abajo,

    pip install simplejson

    Si el comando anterior de lanzar un error Utilizar el siguiente comando

    easy_install simplejson

    easy_install funciona a veces si el pip no puede atender la solicitud.

    • ¿Por qué no sólo se basan en el json módulo de la biblioteca estándar?
    • Tengo no funciona.
    • Jimmy mismo error viene después de usar simplejson también como json en el caso anterior ?
    • simple json fue añadido en las versiones de python 2.6+. simplejson iba a funcionar en todas las versiones 2.4+ supongo
    • sí mismo error.

Dejar respuesta

Please enter your comment!
Please enter your name here